//+------------------------------------------------------------------+
//|                                                       common.mq4 |
//|                                                   Maxim V Rusaev |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "www.aitrader.org   ##ڽ##"

#include <stdlib.mqh>

int Common_GetMagicNumberBySymbol(string symbol) 
{
   
	if(symbol=="AUDUSD") {	return(01);

	} else if(symbol=="CHFJPY") {	return(02);

	} else if(symbol=="EURAUD") {	return(10);
	} else if(symbol=="EURCAD") {	return(11);
	} else if(symbol=="EURCHF") {	return(12);
	} else if(symbol=="EURGBP") {	return(13);
	} else if(symbol=="EURJPY") {	return(14);
	} else if(symbol=="EURUSD") {	return(15);

	} else if(symbol=="GBPCHF") {	return(20);
	} else if(symbol=="GBPJPY") {	return(21);
	} else if(symbol=="GBPUSD") { return(22);


	} else if(symbol=="USDCAD") {	return(40);
	} else if(symbol=="USDCHF") {	return(41);
	} else if(symbol=="USDJPY") {	return(42);


	} else if(symbol=="GOLD") {	return(90);
	} else {	Comment("unexpected Symbol"); return(0);
	}
}

int Common_PrintError(string errorTitle)
{
   int err = GetLastError();
   
   if (err>1) 
  	   Print(errorTitle + " (" + err + ") " + ErrorDescription(err)); 
      
   return (err); 
}

bool Common_IfLastBar(string globalVarName)
{
   //check of using bar
   datetime dt = GlobalVariableGet(globalVarName);
   if(dt == Time[0])
      return(true);
   else
   {
      GlobalVariableSet(globalVarName, Time[0]);
      return(false);
   }
}

int Common_CloseAllOrdersByOrdCmnt(string orderComment, int slippage)
{
   for(int cnt=OrdersTotal();cnt>=0;cnt--)
   {
      if (OrderSelect(cnt, SELECT_BY_POS, MODE_TRADES)) 
      {
         Common_PrintError("Error selecting order");
  		   
  		   // order exists
  		   if (OrderComment() == orderComment)
  		   {
  		     RefreshRates();
  		     double closePrice;
  		     
  		     if (OrderType() == OP_BUY || OrderType() == OP_SELL)
  		     {
  		        if (OrderType() == OP_BUY)
  		           closePrice = Bid;
              else
                 closePrice = Ask;
                  		     
  		        OrderClose(OrderTicket(), OrderLots(), closePrice, slippage, White);
  		     }
  		     else
  		        OrderDelete(OrderTicket());
  		     
  		   }
  		}
   }
}